commit:     6b2de7b6eab19b2a1a43b01b5083ea4f12ecff80
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  4 20:27:11 2018 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Wed Jul  4 20:29:48 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b2de7b6

dev-python/tempora: bump to 1.13, drop arm ia64 ppc (new dep)

Package-Manager: Portage-2.3.41, Repoman-2.3.9

 dev-python/tempora/Manifest            |  1 +
 dev-python/tempora/tempora-1.13.ebuild | 55 ++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-python/tempora/Manifest b/dev-python/tempora/Manifest
index 88e18061c9d..cb0ae4784a4 100644
--- a/dev-python/tempora/Manifest
+++ b/dev-python/tempora/Manifest
@@ -1,3 +1,4 @@
 DIST tempora-1.11.tar.gz 14750 BLAKE2B 
d8e448f9cf363a49b30bc016faeaccf1e724c8887d179570b4e46e2eb8d7eaccf7837ffc43e02e956869caa22ac037507e2b17c11540fdb7e6610fd7607780b6
 SHA512 
cda47613cabefabb0c52e2f89f31b405a3b3f17c531a0b890a9ccfd3a3fcd5bc5bec19881ce726972ff61811654e8b5ec8048c9ebad6e87d72d7d98bfa4daeab
 DIST tempora-1.12.tar.gz 15208 BLAKE2B 
ced6e5d069780b516ff791ee598683f59d02588d45282f1b6b6c2b8b61d354bc399d10c961b5a112c7ef1185c3661cbe9b1b9c95ab28d42ed2429fa4f504917e
 SHA512 
4acd38fb464e858db371fc4ac6d2082f4f0c676016cdb95d8415895b7d0bdd3c787c2678737e437d1f5861368dd54040ce289407cfeea3ca43b130c56da133b6
+DIST tempora-1.13.tar.gz 15956 BLAKE2B 
7b00c4cf04628c1bb6a84b7044a22921f81bd77ff340342d7256acf8bb8b1b427fb15b9c10c28cfa4c99b02e4cee6e2b26ae53be0ed7ef67e3d6f528fb2e9a3d
 SHA512 
98927024f07196a51b8d61017786cfc258db289ab9c98942cca2501074c1675bf1213770ad00db1d38829017bb9928cccde7fb344c170b2f485fc68505737485
 DIST tempora-1.7.tar.gz 11645 BLAKE2B 
d354fb863a8d30bd9e603ad942d7c7f61a70c24e7f1fe94fffd59982431190e2807c2dc577ff83eb90ffc5fd2b2f8415965de1d77e4dca0dd02291733bfbb97c
 SHA512 
2420e32a9b8c990609d8f09225004e0b1c445cad1fe3c3c74625cb8317b552469acf2d3b28aa56633a87260a93c77d73b02178cb662016c514bc740aa01399e5

diff --git a/dev-python/tempora/tempora-1.13.ebuild 
b/dev-python/tempora/tempora-1.13.ebuild
new file mode 100644
index 00000000000..55cc14bf4e4
--- /dev/null
+++ b/dev-python/tempora/tempora-1.13.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python{2_7,3_{4,5,6}} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Objects and routines pertaining to date and time"
+HOMEPAGE="https://github.com/jaraco/tempora";
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="
+       >=dev-python/jaraco-functools-1.20[${PYTHON_USEDEP}]
+       dev-python/pytz[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+"
+# The calc-prorate binary used to be part of jaraco.utils
+DEPEND="
+       !<=dev-python/jaraco-utils-10.0.2
+       >=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? (
+               >=dev-python/jaraco-packaging-3.2[${PYTHON_USEDEP}]
+               >=dev-python/rst-linker-1.9[${PYTHON_USEDEP}]
+               dev-python/sphinx[${PYTHON_USEDEP}]
+       )
+       test? (
+               >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+               dev-python/backports-unittest-mock[${PYTHON_USEDEP}]
+               dev-python/freezegun[${PYTHON_USEDEP}]
+       )
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_compile_all() {
+       if use doc; then
+               sphinx-build docs docs/_build/html || die
+               HTML_DOCS=( docs/_build/html/. )
+       fi
+}
+
+python_test() {
+       # Override pytest options to skip flake8
+       PYTHONPATH=. py.test --override-ini="addopts=--doctest-modules" \
+               || die "tests failed with ${EPYTHON}"
+}

Reply via email to